libetonyek::IWORKDocumentInterface Class Reference documentation

Public Member Functions | List of all members
libetonyek::IWORKDocumentInterface Class Referenceabstract

`#include <IWORKDocumentInterface.h>`

Inheritance diagram for libetonyek::IWORKDocumentInterface:

## Public Member Functions
virtual | ~IWORKDocumentInterface ()=0
virtual void | setDocumentMetaData (const librevenge::RVNGPropertyList &propList)=0
virtual void | startDocument (const librevenge::RVNGPropertyList &propList)=0
virtual void | endDocument ()=0
virtual void | definePageStyle (const librevenge::RVNGPropertyList &propList)=0
virtual void | defineEmbeddedFont (const librevenge::RVNGPropertyList &propList)=0
virtual void | openPageSpan (const librevenge::RVNGPropertyList &propList)=0
virtual void | closePageSpan ()=0
virtual void | startSlide (const librevenge::RVNGPropertyList &propList)=0
virtual void | endSlide ()=0
virtual void | startMasterSlide (const librevenge::RVNGPropertyList &propList)=0
virtual void | endMasterSlide ()=0
virtual void | setStyle (const librevenge::RVNGPropertyList &propList)=0
virtual void | startLayer (const librevenge::RVNGPropertyList &propList)=0
virtual void | endLayer ()=0
virtual void | openHeader (const librevenge::RVNGPropertyList &propList)=0
virtual void | closeHeader ()=0
virtual void | openFooter (const librevenge::RVNGPropertyList &propList)=0
virtual void | closeFooter ()=0
virtual void | defineParagraphStyle (const librevenge::RVNGPropertyList &propList)=0
virtual void | openParagraph (const librevenge::RVNGPropertyList &propList)=0
virtual void | closeParagraph ()=0
virtual void | defineCharacterStyle (const librevenge::RVNGPropertyList &propList)=0
virtual void | openSpan (const librevenge::RVNGPropertyList &propList)=0
virtual void | closeSpan ()=0
virtual void | openLink (const librevenge::RVNGPropertyList &propList)=0
virtual void | closeLink ()=0
virtual void | defineSectionStyle (const librevenge::RVNGPropertyList &propList)=0
virtual void | openSection (const librevenge::RVNGPropertyList &propList)=0
virtual void | closeSection ()=0
virtual void | insertTab ()=0
virtual void | insertSpace ()=0
virtual void | insertText (const librevenge::RVNGString &text)=0
virtual void | insertLineBreak ()=0
virtual void | insertField (const librevenge::RVNGPropertyList &propList)=0
virtual void | openOrderedListLevel (const librevenge::RVNGPropertyList &propList)=0
virtual void | openUnorderedListLevel (const librevenge::RVNGPropertyList &propList)=0
virtual void | closeOrderedListLevel ()=0
virtual void | closeUnorderedListLevel ()=0
virtual void | openListElement (const librevenge::RVNGPropertyList &propList)=0
virtual void | closeListElement ()=0
virtual void | openFootnote (const librevenge::RVNGPropertyList &propList)=0
virtual void | closeFootnote ()=0
virtual void | openEndnote (const librevenge::RVNGPropertyList &propList)=0
virtual void | closeEndnote ()=0
virtual void | openComment (const librevenge::RVNGPropertyList &propList)=0
virtual void | closeComment ()=0
virtual void | openTextBox (const librevenge::RVNGPropertyList &propList)=0
virtual void | closeTextBox ()=0
virtual void | defineSheetNumberingStyle (const librevenge::RVNGPropertyList &propList)=0
virtual void | openTable (const librevenge::RVNGPropertyList &propList)=0
virtual void | openTableRow (const librevenge::RVNGPropertyList &propList)=0
virtual void | closeTableRow ()=0
virtual void | openTableCell (const librevenge::RVNGPropertyList &propList)=0
virtual void | closeTableCell ()=0
virtual void | insertCoveredTableCell (const librevenge::RVNGPropertyList &propList)=0
virtual void | closeTable ()=0
virtual void | openFrame (const librevenge::RVNGPropertyList &propList)=0
virtual void | closeFrame ()=0
virtual void | insertBinaryObject (const librevenge::RVNGPropertyList &propList)=0
virtual void | insertEquation (const librevenge::RVNGPropertyList &propList)=0
virtual void | openGroup (const librevenge::RVNGPropertyList &propList)=0
virtual void | closeGroup ()=0
virtual void | defineGraphicStyle (const librevenge::RVNGPropertyList &propList)=0
virtual void | drawRectangle (const librevenge::RVNGPropertyList &propList)=0
virtual void | drawEllipse (const librevenge::RVNGPropertyList &propList)=0
virtual void | drawPolygon (const librevenge::RVNGPropertyList &propList)=0
virtual void | drawPolyline (const librevenge::RVNGPropertyList &propList)=0
virtual void | drawPath (const librevenge::RVNGPropertyList &propList)=0
virtual void | drawGraphicObject (const librevenge::RVNGPropertyList &propList)=0
virtual void | drawConnector (const librevenge::RVNGPropertyList &propList)=0
virtual void | startTextObject (const librevenge::RVNGPropertyList &propList)=0
virtual void | endTextObject ()=0
virtual void | startNotes (const librevenge::RVNGPropertyList &propList)=0
virtual void | endNotes ()=0
virtual void | defineChartStyle (const librevenge::RVNGPropertyList &propList)=0
virtual void | openChart (const librevenge::RVNGPropertyList &propList)=0
virtual void | closeChart ()=0
virtual void | openChartTextObject (const librevenge::RVNGPropertyList &propList)=0
virtual void | closeChartTextObject ()=0
virtual void | openChartPlotArea (const librevenge::RVNGPropertyList &propList)=0
virtual void | closeChartPlotArea ()=0
virtual void | insertChartAxis (const librevenge::RVNGPropertyList &propList)=0
virtual void | openChartSeries (const librevenge::RVNGPropertyList &propList)=0
virtual void | closeChartSeries ()=0
virtual void | openAnimationSequence (const librevenge::RVNGPropertyList &propList)=0
virtual void | closeAnimationSequence ()=0
virtual void | openAnimationGroup (const librevenge::RVNGPropertyList &propList)=0
virtual void | closeAnimationGroup ()=0
virtual void | openAnimationIteration (const librevenge::RVNGPropertyList &propList)=0
virtual void | closeAnimationIteration ()=0
virtual void | insertMotionAnimation (const librevenge::RVNGPropertyList &propList)=0
virtual void | insertColorAnimation (const librevenge::RVNGPropertyList &propList)=0
virtual void | insertAnimation (const librevenge::RVNGPropertyList &propList)=0
virtual void | insertEffect (const librevenge::RVNGPropertyList &propList)=0

## Constructor & Destructor Documentation

## ◆ ~IWORKDocumentInterface()

libetonyek::IWORKDocumentInterface::~IWORKDocumentInterface | ( |  | ) |
| pure virtual

## Member Function Documentation

## ◆ closeAnimationGroup()

virtual void libetonyek::IWORKDocumentInterface::closeAnimationGroup | ( |  | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ closeAnimationIteration()

virtual void libetonyek::IWORKDocumentInterface::closeAnimationIteration | ( |  | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ closeAnimationSequence()

virtual void libetonyek::IWORKDocumentInterface::closeAnimationSequence | ( |  | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ closeChart()

virtual void libetonyek::IWORKDocumentInterface::closeChart | ( |  | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ closeChartPlotArea()

virtual void libetonyek::IWORKDocumentInterface::closeChartPlotArea | ( |  | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ closeChartSeries()

virtual void libetonyek::IWORKDocumentInterface::closeChartSeries | ( |  | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ closeChartTextObject()

virtual void libetonyek::IWORKDocumentInterface::closeChartTextObject | ( |  | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ closeComment()

virtual void libetonyek::IWORKDocumentInterface::closeComment | ( |  | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ closeEndnote()

virtual void libetonyek::IWORKDocumentInterface::closeEndnote | ( |  | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ closeFooter()

virtual void libetonyek::IWORKDocumentInterface::closeFooter | ( |  | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

Referenced by libetonyek::PAGCollector::flushPageSpan().

## ◆ closeFootnote()

virtual void libetonyek::IWORKDocumentInterface::closeFootnote | ( |  | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ closeFrame()

virtual void libetonyek::IWORKDocumentInterface::closeFrame | ( |  | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ closeGroup()

virtual void libetonyek::IWORKDocumentInterface::closeGroup | ( |  | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ closeHeader()

virtual void libetonyek::IWORKDocumentInterface::closeHeader | ( |  | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

Referenced by libetonyek::PAGCollector::flushPageSpan().

## ◆ closeLink()

virtual void libetonyek::IWORKDocumentInterface::closeLink | ( |  | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ closeListElement()

virtual void libetonyek::IWORKDocumentInterface::closeListElement | ( |  | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ closeOrderedListLevel()

virtual void libetonyek::IWORKDocumentInterface::closeOrderedListLevel | ( |  | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ closePageSpan()

virtual void libetonyek::IWORKDocumentInterface::closePageSpan | ( |  | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

Referenced by libetonyek::PAGCollector::flushPageSpan().

## ◆ closeParagraph()

virtual void libetonyek::IWORKDocumentInterface::closeParagraph | ( |  | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ closeSection()

virtual void libetonyek::IWORKDocumentInterface::closeSection | ( |  | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ closeSpan()

virtual void libetonyek::IWORKDocumentInterface::closeSpan | ( |  | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ closeTable()

virtual void libetonyek::IWORKDocumentInterface::closeTable | ( |  | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ closeTableCell()

virtual void libetonyek::IWORKDocumentInterface::closeTableCell | ( |  | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ closeTableRow()

virtual void libetonyek::IWORKDocumentInterface::closeTableRow | ( |  | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ closeTextBox()

virtual void libetonyek::IWORKDocumentInterface::closeTextBox | ( |  | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ closeUnorderedListLevel()

virtual void libetonyek::IWORKDocumentInterface::closeUnorderedListLevel | ( |  | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ defineCharacterStyle()

virtual void libetonyek::IWORKDocumentInterface::defineCharacterStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ defineChartStyle()

virtual void libetonyek::IWORKDocumentInterface::defineChartStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ defineEmbeddedFont()

virtual void libetonyek::IWORKDocumentInterface::defineEmbeddedFont | ( | const librevenge::RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ defineGraphicStyle()

virtual void libetonyek::IWORKDocumentInterface::defineGraphicStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ definePageStyle()

virtual void libetonyek::IWORKDocumentInterface::definePageStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ defineParagraphStyle()

virtual void libetonyek::IWORKDocumentInterface::defineParagraphStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ defineSectionStyle()

virtual void libetonyek::IWORKDocumentInterface::defineSectionStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ defineSheetNumberingStyle()

virtual void libetonyek::IWORKDocumentInterface::defineSheetNumberingStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ drawConnector()

virtual void libetonyek::IWORKDocumentInterface::drawConnector | ( | const librevenge::RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ drawEllipse()

virtual void libetonyek::IWORKDocumentInterface::drawEllipse | ( | const librevenge::RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ drawGraphicObject()

virtual void libetonyek::IWORKDocumentInterface::drawGraphicObject | ( | const librevenge::RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ drawPath()

virtual void libetonyek::IWORKDocumentInterface::drawPath | ( | const librevenge::RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ drawPolygon()

virtual void libetonyek::IWORKDocumentInterface::drawPolygon | ( | const librevenge::RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ drawPolyline()

virtual void libetonyek::IWORKDocumentInterface::drawPolyline | ( | const librevenge::RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ drawRectangle()

virtual void libetonyek::IWORKDocumentInterface::drawRectangle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ endDocument()

virtual void libetonyek::IWORKDocumentInterface::endDocument | ( |  | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

Referenced by libetonyek::IWORKCollector::endDocument().

## ◆ endLayer()

virtual void libetonyek::IWORKDocumentInterface::endLayer | ( |  | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ endMasterSlide()

virtual void libetonyek::IWORKDocumentInterface::endMasterSlide | ( |  | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

Referenced by libetonyek::KEYCollector::insertSlide().

## ◆ endNotes()

virtual void libetonyek::IWORKDocumentInterface::endNotes | ( |  | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ endSlide()

virtual void libetonyek::IWORKDocumentInterface::endSlide | ( |  | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

Referenced by libetonyek::KEYCollector::insertSlide().

## ◆ endTextObject()

virtual void libetonyek::IWORKDocumentInterface::endTextObject | ( |  | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ insertAnimation()

virtual void libetonyek::IWORKDocumentInterface::insertAnimation | ( | const librevenge::RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ insertBinaryObject()

virtual void libetonyek::IWORKDocumentInterface::insertBinaryObject | ( | const librevenge::RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ insertChartAxis()

virtual void libetonyek::IWORKDocumentInterface::insertChartAxis | ( | const librevenge::RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ insertColorAnimation()

virtual void libetonyek::IWORKDocumentInterface::insertColorAnimation | ( | const librevenge::RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ insertCoveredTableCell()

virtual void libetonyek::IWORKDocumentInterface::insertCoveredTableCell | ( | const librevenge::RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ insertEffect()

virtual void libetonyek::IWORKDocumentInterface::insertEffect | ( | const librevenge::RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ insertEquation()

virtual void libetonyek::IWORKDocumentInterface::insertEquation | ( | const librevenge::RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ insertField()

virtual void libetonyek::IWORKDocumentInterface::insertField | ( | const librevenge::RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ insertLineBreak()

virtual void libetonyek::IWORKDocumentInterface::insertLineBreak | ( |  | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ insertMotionAnimation()

virtual void libetonyek::IWORKDocumentInterface::insertMotionAnimation | ( | const librevenge::RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ insertSpace()

virtual void libetonyek::IWORKDocumentInterface::insertSpace | ( |  | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ insertTab()

virtual void libetonyek::IWORKDocumentInterface::insertTab | ( |  | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ insertText()

virtual void libetonyek::IWORKDocumentInterface::insertText | ( | const librevenge::RVNGString & | text | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ openAnimationGroup()

virtual void libetonyek::IWORKDocumentInterface::openAnimationGroup | ( | const librevenge::RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ openAnimationIteration()

virtual void libetonyek::IWORKDocumentInterface::openAnimationIteration | ( | const librevenge::RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ openAnimationSequence()

virtual void libetonyek::IWORKDocumentInterface::openAnimationSequence | ( | const librevenge::RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ openChart()

virtual void libetonyek::IWORKDocumentInterface::openChart | ( | const librevenge::RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ openChartPlotArea()

virtual void libetonyek::IWORKDocumentInterface::openChartPlotArea | ( | const librevenge::RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ openChartSeries()

virtual void libetonyek::IWORKDocumentInterface::openChartSeries | ( | const librevenge::RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ openChartTextObject()

virtual void libetonyek::IWORKDocumentInterface::openChartTextObject | ( | const librevenge::RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ openComment()

virtual void libetonyek::IWORKDocumentInterface::openComment | ( | const librevenge::RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ openEndnote()

virtual void libetonyek::IWORKDocumentInterface::openEndnote | ( | const librevenge::RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ openFooter()

virtual void libetonyek::IWORKDocumentInterface::openFooter | ( | const librevenge::RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

Referenced by libetonyek::PAGCollector::flushPageSpan().

## ◆ openFootnote()

virtual void libetonyek::IWORKDocumentInterface::openFootnote | ( | const librevenge::RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ openFrame()

virtual void libetonyek::IWORKDocumentInterface::openFrame | ( | const librevenge::RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ openGroup()

virtual void libetonyek::IWORKDocumentInterface::openGroup | ( | const librevenge::RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ openHeader()

virtual void libetonyek::IWORKDocumentInterface::openHeader | ( | const librevenge::RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

Referenced by libetonyek::PAGCollector::flushPageSpan().

## ◆ openLink()

virtual void libetonyek::IWORKDocumentInterface::openLink | ( | const librevenge::RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ openListElement()

virtual void libetonyek::IWORKDocumentInterface::openListElement | ( | const librevenge::RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ openOrderedListLevel()

virtual void libetonyek::IWORKDocumentInterface::openOrderedListLevel | ( | const librevenge::RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ openPageSpan()

virtual void libetonyek::IWORKDocumentInterface::openPageSpan | ( | const librevenge::RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

Referenced by libetonyek::PAGCollector::flushPageSpan().

## ◆ openParagraph()

virtual void libetonyek::IWORKDocumentInterface::openParagraph | ( | const librevenge::RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ openSection()

virtual void libetonyek::IWORKDocumentInterface::openSection | ( | const librevenge::RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ openSpan()

virtual void libetonyek::IWORKDocumentInterface::openSpan | ( | const librevenge::RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ openTable()

virtual void libetonyek::IWORKDocumentInterface::openTable | ( | const librevenge::RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ openTableCell()

virtual void libetonyek::IWORKDocumentInterface::openTableCell | ( | const librevenge::RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ openTableRow()

virtual void libetonyek::IWORKDocumentInterface::openTableRow | ( | const librevenge::RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ openTextBox()

virtual void libetonyek::IWORKDocumentInterface::openTextBox | ( | const librevenge::RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ openUnorderedListLevel()

virtual void libetonyek::IWORKDocumentInterface::openUnorderedListLevel | ( | const librevenge::RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ setDocumentMetaData()

virtual void libetonyek::IWORKDocumentInterface::setDocumentMetaData | ( | const librevenge::RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

Referenced by libetonyek::NUMCollector::endDocument(), libetonyek::PAGCollector::flushPageSpan(), and libetonyek::KEYCollector::sendSlides().

## ◆ setStyle()

virtual void libetonyek::IWORKDocumentInterface::setStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ startDocument()

virtual void libetonyek::IWORKDocumentInterface::startDocument | ( | const librevenge::RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

Referenced by libetonyek::IWORKCollector::startDocument().

## ◆ startLayer()

virtual void libetonyek::IWORKDocumentInterface::startLayer | ( | const librevenge::RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ startMasterSlide()

virtual void libetonyek::IWORKDocumentInterface::startMasterSlide | ( | const librevenge::RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

Referenced by libetonyek::KEYCollector::insertSlide().

## ◆ startNotes()

virtual void libetonyek::IWORKDocumentInterface::startNotes | ( | const librevenge::RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

## ◆ startSlide()

virtual void libetonyek::IWORKDocumentInterface::startSlide | ( | const librevenge::RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

Referenced by libetonyek::KEYCollector::insertSlide().

## ◆ startTextObject()

virtual void libetonyek::IWORKDocumentInterface::startTextObject | ( | const librevenge::RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in libetonyek::IWORKTextRedirector, libetonyek::IWORKSpreadsheetRedirector, and libetonyek::IWORKPresentationRedirector.

The documentation for this class was generated from the following files:

- IWORKDocumentInterface.h
- IWORKDocumentInterface.cpp